Servlet and JavaServer Pages API Documentation: Class BodyContent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class BodyContent

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--javax.servlet.jsp.JspWriter
                  |
                  +--javax.servlet.jsp.tagext.BodyContent

public abstract class BodyContent
extends JspWriter

A JspWriter subclass that can be used to process body evaluations so they can re-extracted later on.

Fields inherited from class javax.servlet.jsp.JspWriter
`autoFlush, bufferSize, DEFAULT_BUFFER, NO_BUFFER, UNBOUNDED_BUFFER`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`protected` | `BodyContent(JspWriter e)` Protected constructor.

Method Summary
`void` | `clearBody()` Clear the body.
`void` | `flush()` Redefine flush().
`JspWriter` | `getEnclosingWriter()` Get the enclosing JspWriter
`abstract java.io.Reader` | `getReader()` Return the value of this BodyContent as a Reader.
`abstract java.lang.String` | `getString()` Return the value of the BodyContent as a String.
`abstract void` | `writeOut(java.io.Writer out)` Write the contents of this BodyContent into a Writer.

Methods inherited from class javax.servlet.jsp.JspWriter
`clear, clearBuffer, close, getBufferSize, getRemaining, isAutoFlush, newLine, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println`

Methods inherited from class java.io.Writer
`write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BodyContent

    protected BodyContent(JspWriter e)

  Protected constructor. Unbounded buffer, no autoflushing.

Method Detail

### flush

    public void flush()
               throws java.io.IOException

  Redefine flush(). It is not valid to flush.
  Overrides:
    flush in class JspWriter
  Tags copied from class: JspWriter
  Throws:
    java.io.IOException - If an I/O error occurs

### clearBody

    public void clearBody()

  Clear the body.

### getReader

    public abstract java.io.Reader getReader()

  Return the value of this BodyContent as a Reader. Note: this is after evaluation!! There are no scriptlets, etc in this stream.

### getString

    public abstract java.lang.String getString()

  Return the value of the BodyContent as a String. Note: this is after evaluation!! There are no scriptlets, etc in this stream.

### writeOut

    public abstract void writeOut(java.io.Writer out)
                           throws java.io.IOException

  Write the contents of this BodyContent into a Writer. Subclasses are likely to do interesting things with the implementation so some things are extra efficient.
  Parameters:
    `out` - The writer into which to place the contents of this body evaluation

### getEnclosingWriter

    public JspWriter getEnclosingWriter()

  Get the enclosing JspWriter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1999-2000 The Apache Software Foundation. All Rights Reserved.